/* =============================================================================
 *   Copyright (c) Texas Instruments Incorporated 2016-2018
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

xdc.loadCapsule("../../../../utility/BIOS_common_m4.cfg");

/* ================ Driver configuration ================ */

var Edma        	= xdc.loadPackage ("ti.sdo.edma3.drv.sample");
var drv        		= xdc.loadPackage ("ti.sdo.edma3.drv");
var rm        		= xdc.loadPackage ("ti.sdo.edma3.rm");

/* Building the executables for the platform */
var RTSCPlatformName = Program.platformName;
var boardName;
var socType;
if (RTSCPlatformName == "ti.platforms.idkAM572X")
{
  xdc.print("# !!! Current build BOARD is idkAM572x !!!" );
  boardName = "idkAM572x";
  socType   = "am572x";
}
else if (RTSCPlatformName == "ti.platforms.idkAM571X")
{
  xdc.print("# !!! Current build BOARD is idkAM571x !!!" );
  boardName = "idkAM571x";
  socType   = "am571x";
}
else
{
  xdc.print("# !!! Current build BOARD is evmAM572x !!!" );
  boardName = "evmAM572x";
  socType   = "am572x";
}

/* Load the OSAL package */ 
var osType = "tirtos"
var Osal = xdc.useModule('ti.osal.Settings');
Osal.osType = osType;
Osal.socType = socType;

/* Load the MMCSD package */
var Mmcsd = xdc.loadPackage('ti.drv.mmcsd');
Mmcsd.Settings.socType = socType;
Mmcsd.Settings.useDma = "false";

var Fatfs = xdc.loadPackage('ti.fs.fatfs');

/*use CSL package*/
var Csl = xdc.loadPackage('ti.csl');
Csl.Settings.deviceType = socType;

/* Load the uart package */
var Uart = xdc.loadPackage('ti.drv.uart');
Uart.Settings.socType = socType;
Uart.Settings.libProfile = "release";

/* Load the i2c package */
var I2c 			  = xdc.loadPackage('ti.drv.i2c');
I2c.Settings.socType = socType;
I2c.Settings.libProfile = "release";

/* Load the pm package */
var Pm              = xdc.loadPackage('ti.drv.pm');
Pm.Settings.socType = socType;
Pm.Settings.libProfile = "release";

/* Load the board package */
var Board = xdc.loadPackage('ti.board');
Board.Settings.boardName  = boardName;
Board.Settings.libProfile = "release";

/* Use the VPS module */
var vps = xdc.loadPackage ('ti.drv.vps');
vps.Settings.socType    = socType;
vps.Settings.libProfile = "release";

if (boardName == "idkAM572x" || boardName == "idkAM571x" || boardName == "evmAM572x")
{
  Program.sectMap[".bss:extMemNonCache:vpdma"]              = "APP_UNCACHED_DATA_BLK3_MEM";
  Program.sectMap[".bss:frameBuffer"]                       = new Program.SectionSpec();
  Program.sectMap[".bss:frameBuffer"].loadSegment           = "APP_CACHED_DATA_BLK1_MEM";
  Program.sectMap[".bss:frameBuffer"].type                  = "NOLOAD";
  Program.sectMap[".plt"]                                   = "APP_CODE_MEM";
}
xdc.loadCapsule("../../../../utility/bspCommon_AMMU.cfg");
